org.richfaces.component.html

## Class HtmlTogglePanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UISwitchablePanel
          - - org.richfaces.component.UITogglePanel
            - - org.richfaces.component.html.HtmlTogglePanel

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

      public class HtmlTogglePanel
      extends UITogglePanel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UISwitchablePanel

      `AJAX_METHOD, CLIENT_METHOD, DEFAULT_METHOD, SERVER_METHOD`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlTogglePanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getInitialState()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getStateOrder()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getSwitchType()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setInitialState(java.lang.String _initialState)`
    `void` | `setLabel(java.lang.String _label)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOnkeydown(java.lang.String _onkeydown)`
    `void` | `setOnkeypress(java.lang.String _onkeypress)`
    `void` | `setOnkeyup(java.lang.String _onkeyup)`
    `void` | `setOnmousedown(java.lang.String _onmousedown)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnmouseup(java.lang.String _onmouseup)`
    `void` | `setStateOrder(java.lang.String _stateOrder)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setSwitchType(java.lang.String _switchType)`

    - ### Methods inherited from class org.richfaces.component.UITogglePanel

      `convertSwitchValue, getStateOrderList, getValue, setValue`

    - ### Methods inherited from class org.richfaces.component.UISwitchablePanel

      `broadcast, getSwitchedFacetsAndChildren, processDecodes, processUpdates, processValidators, queueEvent, updateModel`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValueChangeListener, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlTogglePanel

          public HtmlTogglePanel()

  - ### Method Detail

    - #### getInitialState

          public java.lang.String getInitialState()

      Specified by:
        `getInitialState` in class `UITogglePanel`

    - #### setInitialState

          public void setInitialState(java.lang.String _initialState)

      Specified by:
        `setInitialState` in class `UITogglePanel`

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel(java.lang.String _label)

    - #### getOnclick

          public java.lang.String getOnclick()

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

    - #### getOndblclick

          public java.lang.String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String _onkeydown)

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String _onkeypress)

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String _onkeyup)

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String _onmousedown)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String _onmouseup)

    - #### getStateOrder

          public java.lang.String getStateOrder()

      Specified by:
        `getStateOrder` in class `UITogglePanel`

    - #### setStateOrder

          public void setStateOrder(java.lang.String _stateOrder)

      Specified by:
        `setStateOrder` in class `UITogglePanel`

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getSwitchType

          public java.lang.String getSwitchType()

      Specified by:
        `getSwitchType` in class `UITogglePanel`

    - #### setSwitchType

          public void setSwitchType(java.lang.String _switchType)

      Specified by:
        `setSwitchType` in class `UITogglePanel`

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `org.richfaces.component.UISwitchablePanel`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `org.richfaces.component.UISwitchablePanel`

Copyright © 2014. All Rights Reserved.